# Audit

## Get audit logs

### Code samples

```shell
# Example request using curl
curl -X GET http://coder-server:8080/api/v2/audit?limit=0 \
  -H 'Accept: application/json' \
  -H 'Coder-Session-Token: API_KEY'
```

`GET /audit`

### Parameters

| Name     | In    | Type    | Required | Description  |
| -------- | ----- | ------- | -------- | ------------ |
| `q`      | query | string  | false    | Search query |
| `limit`  | query | integer | true     | Page limit   |
| `offset` | query | integer | false    | Page offset  |

### Example responses

> 200 Response

```json
{
	"audit_logs": [
		{
			"action": "create",
			"additional_fields": [0],
			"description": "string",
			"diff": {
				"property1": {
					"new": null,
					"old": null,
					"secret": true
				},
				"property2": {
					"new": null,
					"old": null,
					"secret": true
				}
			},
			"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
			"ip": "string",
			"is_deleted": true,
			"organization": {
				"display_name": "string",
				"icon": "string",
				"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
				"name": "string"
			},
			"organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
			"request_id": "266ea41d-adf5-480b-af50-15b940c2b846",
			"resource_icon": "string",
			"resource_id": "4d5215ed-38bb-48ed-879a-fdb9ca58522f",
			"resource_link": "string",
			"resource_target": "string",
			"resource_type": "template",
			"status_code": 0,
			"time": "2019-08-24T14:15:22Z",
			"user": {
				"avatar_url": "http://example.com",
				"created_at": "2019-08-24T14:15:22Z",
				"email": "user@example.com",
				"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
				"last_seen_at": "2019-08-24T14:15:22Z",
				"login_type": "",
				"name": "string",
				"organization_ids": ["497f6eca-6276-4993-bfeb-53cbbbba6f08"],
				"roles": [
					{
						"display_name": "string",
						"name": "string",
						"organization_id": "string"
					}
				],
				"status": "active",
				"theme_preference": "string",
				"updated_at": "2019-08-24T14:15:22Z",
				"username": "string"
			},
			"user_agent": "string"
		}
	],
	"count": 0
}
```

### Responses

| Status | Meaning                                                 | Description | Schema                                                           |
| ------ | ------------------------------------------------------- | ----------- | ---------------------------------------------------------------- |
| 200    | [OK](https://tools.ietf.org/html/rfc7231#section-6.3.1) | OK          | [codersdk.AuditLogResponse](schemas.md#codersdkauditlogresponse) |

To perform this operation, you must be authenticated. [Learn more](authentication.md).
